Bug 74087 - (FS NFS QUOTA)System hangs with dqputduplicate() error
Summary: (FS NFS QUOTA)System hangs with dqputduplicate() error
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
(Show other bugs)
Version: 7.3
Hardware: i686 Linux
medium
high
Target Milestone: ---
Assignee: Stephen Tweedie
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-09-15 17:30 UTC by Christian Rose
Modified: 2008-08-01 16:22 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 15:39:55 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Contents of /proc/cpuinfo (372 bytes, text/plain)
2002-09-15 17:31 UTC, Christian Rose
no flags Details
Output of /sbin/lspci (590 bytes, text/plain)
2002-09-15 17:32 UTC, Christian Rose
no flags Details
Output of /sbin/lspci -n (313 bytes, text/plain)
2002-09-15 17:33 UTC, Christian Rose
no flags Details
Contents of /etc/fstab (1.14 KB, text/plain)
2002-09-15 17:34 UTC, Christian Rose
no flags Details

Description Christian Rose 2002-09-15 17:30:39 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.6 (X11; Linux i686; U;) Gecko/20020827

Description of problem:
We've experienced system hangs (box responds to pings but not to logins or
anything that requires filesystem access) on a production nfs server on three
occasions since the middle of June. On each of the three occasions, the problem
seems to have been triggered when there is heavy disk access, such as during the
nightly crond runs. At the time in June, the server was running the 2.4.18-4
kernel. Right now and at the time of the last two hangs, it was using the
2.4.18-10 kernel, so we've also experienced this problem with errata kernels.
Whenever the system hangs this way, it displays this information on VT0:

VFS: dqputduplicate(): Duplicated dquot put without duplicate reference.

The only way to get the system back to a working state at this point is through
a hard reset (the machine does not respond to a three finger salute).

Version-Release number of selected component (if applicable):


How reproducible:
Didn't try

Steps to Reproduce:
Don't know how to reproduce it. User and group quota over nfs should probably be
enabled though to be able to reproduce this, as well as heavy load. We've only
used Red Hat Linux 7.3 machines as nfs clients.

Additional info:

The hard drive used in the server is an IBM DeskStar 60GXP 7200rpm 61.5 GB.

Comment 1 Christian Rose 2002-09-15 17:31:28 UTC
Created attachment 76208 [details]
Contents of /proc/cpuinfo

Comment 2 Christian Rose 2002-09-15 17:32:22 UTC
Created attachment 76209 [details]
Output of /sbin/lspci

Comment 3 Christian Rose 2002-09-15 17:33:04 UTC
Created attachment 76210 [details]
Output of /sbin/lspci -n

Comment 4 Christian Rose 2002-09-15 17:34:49 UTC
Created attachment 76211 [details]
Contents of /etc/fstab

Comment 5 Pete Zaitcev 2002-11-11 21:35:14 UTC
I think aranging a serial console and hitting <alt><sysrq>T when
the box hangs may be helpful.


Comment 6 Dennixx 2003-03-07 12:12:33 UTC
It seems we have the same problems here. We're running 7.3 with the latest
patches on a Compaq Proliant ML370. Also we experience hangs, and have quite
frequently quota messages:

VFS: dqputduplicate(): Duplicated dquot put without duplicate reference.
VFS: Adding dquot with dq_count 9 to dispose list.

Also, from time to time commands like 'quotaoff -avug' seems to hang in an
uninterruptable state:

USER       PID %CPU %MEM   VSZ  RSS TTY      STAT START   TIME COMMAND
root     16900  0.0  0.1  1668  608 pts/1    D    11:59   0:00 quotaoff -avug


Comment 7 Stephen Tweedie 2004-09-10 12:00:56 UTC
Can this be reproduced on a current kernel?

Comment 8 Bugzilla owner 2004-09-30 15:39:55 UTC
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/



Note You need to log in before you can comment on or make changes to this bug.